<template>
  <div class="app-container">
    <div class="filter-container">
      <!--<el-input v-model="query.title" :placeholder="$t('table.title')" style="width: 200px;" class="filter-item" @keyup.enter.native="handleFilter" />-->
      <!--<el-button v-waves class="filter-item" type="primary" icon="el-icon-search" @click="handleFilter">-->
      <!--{{ $t('table.search') }}-->
      <!--</el-button>-->
      <!--<el-button v-waves :loading="downloading" class="filter-item" type="primary" icon="el-icon-download" @click="handleDownload">-->
      <!--{{ $t('table.export') }}-->
      <!--</el-button>-->
    </div>
    <el-table v-loading="listLoading" :data="list" border fit highlight-current-row style="width: 100%">
      <el-table-column prop="title" :label=" $t('row.amount') " align="center">
        <template slot-scope="scope">
          {{ scope.row.amount }}
        </template>
      </el-table-column>
      <el-table-column prop="explain" :label=" $t('row.fee') " align="center">
        <template slot-scope="scope">
          {{ scope.row.fee }}
        </template>
      </el-table-column>
      <el-table-column prop="explain" :label=" $t('row.outcome') " align="center">
        <template slot-scope="scope">
          {{ scope.row.outcome }}
        </template>
      </el-table-column>
      <el-table-column prop="amount" :label=" $t('row.destinationWallet') " align="center">
        <template slot-scope="scope">
          {{ scope.row.destinationWallet.publicAddress }}
        </template>
      </el-table-column>
      <el-table-column prop="explain" :label=" $t('form.sourceWallet') " align="center">
        <template slot-scope="scope">
          {{ scope.row.sourceWallet.publicAddress }}
        </template>
      </el-table-column>
    </el-table>

  </div>
</template>

<script>
import Buy from '@/api/buy';
const buyResource = new Buy('buy');

export default {
  name: 'BuyList',
  filters: {
    statusFilter(status) {
      const statusMap = {
        published: 'success',
        draft: 'info',
        deleted: 'danger',
      };
      return statusMap[status];
    },
  },
  data() {
    return {
      list: null,
      total: 0,
      listLoading: true,
      form: {
        id: '',
      },
      query: {
        page: 1,
        limit: 15,
        title: '',
        role: '',
      },
    };
  },
  created() {
    this.getList();
  },
  methods: {
    async getList() {
      this.listLoading = true;
      const { result } = await buyResource.mine(this.query);
      this.list = result.rows;
      this.total = result.total;
      this.listLoading = false;
    },
    handleFilter() {
      this.query.page = 1;
      this.getList();
    },
    confirmToken(id) {
      this.form.id = id;
      buyResource.confirmToken(this.form);
      this.getList();
    },
    removeToken(id) {
      this.form.id = id;
      buyResource.deleteToken(this.form);
      this.getList();
    },
  },
};
</script>

<style scoped>
  .edit-input {
    padding-right: 100px;
  }
  .cancel-btn {
    position: absolute;
    right: 15px;
    top: 10px;
  }
</style>
